Can I use the Phoenix Flight Simulator with a Mac?
The Phoenix Flight Simulator is compatible with an Intel-based Apple Macintosh computer running Microsoft Windows XP, Vista or 7 under one of the following systems: Bootcamp (recommended) VMWare Fusion (latest version) Parallels (latest version) More information on using Bootcamp can be found here on the Apple website. Phoenix does not run on older non-Intel Macintosh computers, or the Apple OSX operating system. If you are using Phoenix on your Intel-based Macintosh computer, and encounter any graphical issues or errors on start-up, then please follow the tips below: If you are using Bootcamp, please follow the steps in this article to make sure that you have the latest drivers and DirectX version installed. If you are using either VMWare Fusion or Parallels to run Phoenix, make sure that you have the latest version of whichever system you are using, as DirectX 9 applications are only supported...

Read More